### Method

# Ide MarkedContent ref

#### Declaration

    IdeMarkedContent*
    ide_marked_content_ref (
      IdeMarkedContent* self
    )

#### Description

Increments the reference count of `self` by one.

When a `IdeMarkedContent` reaches a reference count of zero, by using ide_marked_content_unref(), it will be freed.

Available since: | 3.32

#### Return value

Returns: | `IdeMarkedContent`
| `self` with the reference count incremented.
| The caller of the method takes ownership of the data, and is responsible for freeing it.